Linux server.flyproject.com.br 3.10.0-1160.el7.x86_64 #1 SMP Mon Oct 19 16:18:59 UTC 2020 x86_64
Apache
: 207.244.227.86 | : 216.73.217.1
10 Domain
7.1.33
hubnog
www.github.com/MadExploits
Terminal
AUTO ROOT
Adminer
Backdoor Destroyer
Linux Exploit
Lock Shell
Lock File
Create User
CREATE RDP
PHP Mailer
BACKCONNECT
UNLOCK SHELL
HASH IDENTIFIER
CPANEL RESET
CREATE WP USER
README
+ Create Folder
+ Create File
/
usr /
sbin /
[ HOME SHELL ]
Name
Size
Permission
Action
ModemManager
1.19
MB
-rwxr-xr-x
NetworkManager
2.83
MB
-rwxr-xr-x
abrt-auto-reporting
10.98
KB
-rwxr-xr-x
abrt-configuration
31.66
KB
-rwxr-xr-x
abrt-dbus
31.22
KB
-rwxr-xr-x
abrt-harvest-pstoreoops
1.32
KB
-rwxr-xr-x
abrt-harvest-vmcore
8.19
KB
-rwxr-xr-x
abrt-install-ccpp-hook
2.85
KB
-rwxr-xr-x
abrt-server
31.11
KB
-rwxr-xr-x
abrtd
31.22
KB
-rwxr-xr-x
accept
10.95
KB
-rwxr-xr-x
accessdb
11.55
KB
-rwxr-xr-x
accton
11.19
KB
-rwxr-xr-x
adcli
152.61
KB
-rwxr-xr-x
addgnupghome
3.05
KB
-rwxr-xr-x
addpart
19.69
KB
-rwxr-xr-x
adduser
134.39
KB
-rwxr-xr-x
agetty
48.48
KB
-rwxr-xr-x
alsa-info
28.09
KB
-rwxr-xr-x
alsa-info.sh
28.09
KB
-rwxr-xr-x
alsabat-test.sh
4.04
KB
-rwxr-xr-x
alsactl
99.15
KB
-rwxr-xr-x
alternatives
27.61
KB
-rwxr-xr-x
anaconda
54.99
KB
-rwxr-xr-x
anacron
35.52
KB
-rwxr-xr-x
apachectl
4.31
KB
-rwxr-xr-x
applygnupgdefaults
2.21
KB
-rwxr-xr-x
arp
63.98
KB
-rwxr-xr-x
arpd
52.98
KB
-rwxr-xr-x
arping
23.19
KB
-rwxr-xr-x
atd
27.17
KB
-rwxr-xr-x
atrun
67
B
-rwxr-xr-x
audispd
39.75
KB
-rwxr-xr-x
auditctl
39.56
KB
-rwxr-xr-x
auditd
125.65
KB
-rwxr-xr-x
augenrules
3.7
KB
-rwxr-xr-x
aureport
105.39
KB
-rwxr-xr-x
ausearch
109.8
KB
-rwxr-xr-x
authconfig
43.49
KB
-rwxr-xr-x
authconfig-tui
43.49
KB
-rwxr-xr-x
automount
301.4
KB
-rwxr-xr-x
autrace
15.49
KB
-rwxr-x---
avahi-daemon
133.04
KB
-rwxr-xr-x
avcstat
11.25
KB
-rwxr-xr-x
badblocks
27.69
KB
-rwxr-xr-x
biosdecode
24.15
KB
-rwxr-xr-x
biosdevname
36.57
KB
-rwxr-xr-x
blkdeactivate
15.97
KB
-r-xr-xr-x
blkdiscard
23.84
KB
-rwxr-xr-x
blkid
77.92
KB
-rwxr-xr-x
blkmapd
43.81
KB
-rwxr-xr-x
blockdev
32.2
KB
-rwxr-xr-x
bpftool
1.9
MB
-rwxr-xr-x
brctl
32.13
KB
-rwxr-xr-x
bridge
77.61
KB
-rwxr-xr-x
btrfs
690.59
KB
-rwxr-xr-x
btrfs-convert
378.62
KB
-rwxr-xr-x
btrfs-debug-tree
354.23
KB
-rwxr-xr-x
btrfs-find-root
346.22
KB
-rwxr-xr-x
btrfs-image
374.63
KB
-rwxr-xr-x
btrfs-map-logical
350.27
KB
-rwxr-xr-x
btrfs-select-super
346.2
KB
-rwxr-xr-x
btrfs-zero-log
346.2
KB
-rwxr-xr-x
btrfsck
690.59
KB
-rwxr-xr-x
btrfstune
350.24
KB
-rwxr-xr-x
build-locale-archive
860.52
KB
-rwx------
cacertdir_rehash
644
B
-rwxr-xr-x
cache_check
1.23
MB
-rwxr-xr-x
cache_dump
1.23
MB
-rwxr-xr-x
cache_metadata_size
1.23
MB
-rwxr-xr-x
cache_repair
1.23
MB
-rwxr-xr-x
cache_restore
1.23
MB
-rwxr-xr-x
cache_writeback
1.23
MB
-rwxr-xr-x
capsh
19.43
KB
-rwxr-xr-x
cbq
32.73
KB
-rwxr-xr-x
certmonger
482.03
KB
-rwxr-xr-x
cfdisk
71.37
KB
-rwxr-xr-x
cgclear
15.3
KB
-rwxr-xr-x
cgconfigparser
15.43
KB
-rwxr-xr-x
cgdcbxd
31.39
KB
-rwxr-xr-x
cgdisk
176.87
KB
-rwxr-xr-x
cgrulesengd
31.66
KB
-rwxr-xr-x
chat
27.3
KB
-rwxr-xr-x
chcpu
23.7
KB
-rwxr-xr-x
chgpasswd
64.1
KB
-rwxr-xr-x
chkconfig
40.22
KB
-rwxr-xr-x
chpasswd
55.88
KB
-rwxr-xr-x
chronyd
263.08
KB
-rwxr-xr-x
chroot
32.48
KB
-rwxr-xr-x
cifs.idmap
15.07
KB
-rwxr-xr-x
cifs.upcall
31.23
KB
-rwxr-xr-x
clock
48.44
KB
-rwxr-xr-x
clockdiff
19.04
KB
-rwxr-xr-x
consoletype
6.95
KB
-rwxr-xr-x
convertquota
70.88
KB
-rwxr-xr-x
cracklib-check
7.04
KB
-rwxr-xr-x
cracklib-format
246
B
-rwxr-xr-x
cracklib-packer
11.06
KB
-rwxr-xr-x
cracklib-unpacker
7.02
KB
-rwxr-xr-x
crda
11.34
KB
-rwxr-xr-x
create-cracklib-dict
990
B
-rwxr-xr-x
crond
68.48
KB
-rwxr-xr-x
cryptsetup
85.41
KB
-rwxr-xr-x
ctrlaltdel
11.2
KB
-rwxr-xr-x
ctstat
20.09
KB
-rwxr-xr-x
cups-browsed
136.9
KB
-rwxr-xr-x
cups-genppd.5.2
56.05
KB
-rwxr-xr-x
cups-genppdupdate
34.2
KB
-rwxr-xr-x
cupsaccept
10.95
KB
-rwxr-xr-x
cupsaddsmb
10.98
KB
-rwxr-xr-x
cupsctl
14.97
KB
-rwxr-xr-x
cupsd
427.17
KB
-rwxr-xr-x
cupsdisable
10.95
KB
-rwxr-xr-x
cupsenable
10.95
KB
-rwxr-xr-x
cupsfilter
27.37
KB
-rwxr-xr-x
cupsreject
10.95
KB
-rwxr-xr-x
dcbtool
60.03
KB
-rwxr-xr-x
ddns-confgen
19.44
KB
-rwxr-xr-x
debugfs
120.65
KB
-rwxr-xr-x
delpart
19.69
KB
-rwxr-xr-x
depmod
143.24
KB
-rwxr-xr-x
devlink
64.72
KB
-rwxr-xr-x
dhclient
414.34
KB
-rwxr-xr-x
dhclient-script
30.38
KB
-rwxr-xr-x
dm_dso_reg_tool
11.29
KB
-rwxr-xr-x
dmevent_tool
11.29
KB
-rwxr-xr-x
dmeventd
39.56
KB
-r-xr-xr-x
dmfilemapd
19.16
KB
-r-xr-xr-x
dmidecode
120.2
KB
-rwxr-xr-x
dmraid
22.1
KB
-rwxr-xr-x
dmraid.static
22.1
KB
-rwxr-xr-x
dmsetup
149.2
KB
-r-xr-xr-x
dmstats
149.2
KB
-r-xr-xr-x
dnsmasq
340.79
KB
-rwxr-xr-x
dnssec-checkds
922
B
-rwxr-xr-x
dnssec-coverage
924
B
-rwxr-xr-x
dnssec-dsfromkey
56.6
KB
-rwxr-xr-x
dnssec-importkey
52.59
KB
-rwxr-xr-x
dnssec-keyfromlabel
60.52
KB
-rwxr-xr-x
dnssec-keygen
64.55
KB
-rwxr-xr-x
dnssec-keymgr
920
B
-rwxr-xr-x
dnssec-revoke
48.46
KB
-rwxr-xr-x
dnssec-settime
56.52
KB
-rwxr-xr-x
dnssec-signzone
105.71
KB
-rwxr-xr-x
dnssec-verify
48.46
KB
-rwxr-xr-x
dosfsck
56.24
KB
-rwxr-xr-x
dosfslabel
52.23
KB
-rwxr-xr-x
dovecot
362.53
KB
-rwxr-xr-x
dovecot_cpshutdown
3.27
KB
-rwxr-xr-x
dracut
55.83
KB
-rwxr-xr-x
dump-acct
19.63
KB
-rwxr-xr-x
dump-utmp
15.47
KB
-rwxr-xr-x
dumpe2fs
23.62
KB
-rwxr-xr-x
e2freefrag
11.15
KB
-rwxr-xr-x
e2fsck
250.55
KB
-rwxr-xr-x
e2image
27.85
KB
-rwxr-xr-x
e2label
69.41
KB
-rwxr-xr-x
e2undo
11.32
KB
-rwxr-xr-x
e4defrag
23.55
KB
-rwxr-xr-x
eapol_test
1.77
MB
-rwxr-xr-x
ebtables
6.85
KB
-rwxr-xr-x
ebtables-restore
10.88
KB
-rwxr-xr-x
ebtables-save
851
B
-rwxr-xr-x
edquota
83.09
KB
-rwxr-xr-x
era_check
1.23
MB
-rwxr-xr-x
era_dump
1.23
MB
-rwxr-xr-x
era_invalidate
1.23
MB
-rwxr-xr-x
era_restore
1.23
MB
-rwxr-xr-x
ether-wake
73.26
KB
-rwxr-xr-x
ethtool
293.87
KB
-rwxr-xr-x
exicyclog
11.01
KB
-rwxr-xr-x
exigrep
10.44
KB
-rwxr-xr-x
exim
1.33
MB
-rwsr-xr-x
exim_checkaccess
4.73
KB
-rwxr-xr-x
exim_dbmbuild
82.25
KB
-rwxr-xr-x
exim_dumpdb
134.61
KB
-rwxr-xr-x
exim_fixdb
168.38
KB
-rwxr-xr-x
exim_lock
64.84
KB
-rwxr-xr-x
exim_tidydb
142.97
KB
-rwxr-xr-x
eximstats
148.01
KB
-rwxr-xr-x
exinext
8.02
KB
-rwxr-xr-x
exiqgrep
5.45
KB
-rwxr-xr-x
exiqsumm
5.07
KB
-rwxr-xr-x
exiwhat
4.32
KB
-rwxr-xr-x
exportfs
76.91
KB
-rwxr-xr-x
faillock
15.02
KB
-rwxr-xr-x
fatlabel
52.23
KB
-rwxr-xr-x
fcgistarter
11
KB
-rwxr-xr-x
fcnsq
15.13
KB
-rwxr-xr-x
fcoeadm
48.52
KB
-rwxr-xr-x
fcoemon
69.21
KB
-rwxr-xr-x
fcping
31.52
KB
-rwxr-xr-x
fcrls
19.16
KB
-rwxr-xr-x
fdformat
11.27
KB
-rwxr-xr-x
fdisk
195.8
KB
-rwxr-xr-x
filefrag
15.23
KB
-rwxr-xr-x
findfs
11.2
KB
-rwxr-xr-x
fipvlan
40.16
KB
-rwxr-xr-x
firewalld
6.87
KB
-rwxr-xr-x
firstboot
6.45
KB
-rwxr-xr-x
fixfiles
11.03
KB
-rwxr-xr-x
fixparts
61.65
KB
-rwxr-xr-x
fsadm
23.97
KB
-r-xr-xr-x
fsck
32.12
KB
-rwxr-xr-x
fsck.btrfs
1.16
KB
-rwxr-xr-x
fsck.cramfs
19.57
KB
-rwxr-xr-x
fsck.ext2
250.55
KB
-rwxr-xr-x
fsck.ext3
250.55
KB
-rwxr-xr-x
fsck.ext4
250.55
KB
-rwxr-xr-x
fsck.fat
56.24
KB
-rwxr-xr-x
fsck.minix
73.32
KB
-rwxr-xr-x
fsck.msdos
56.24
KB
-rwxr-xr-x
fsck.vfat
56.24
KB
-rwxr-xr-x
fsck.xfs
433
B
-rwxr-xr-x
fsfreeze
11.23
KB
-rwxr-xr-x
fstrim
40.59
KB
-rwxr-xr-x
ftpdctl
84.05
KB
-rwxr-xr-x
ftpscrub
19.97
KB
-rwx------
ftpshut
13.33
KB
-rwxr-xr-x
fuser
32.34
KB
-rwxr-xr-x
fxload
19.26
KB
-rwxr-xr-x
gdisk
184.49
KB
-rwxr-xr-x
gdm
430.45
KB
-rwxr-xr-x
genhomedircon
23.77
KB
-rwxr-xr-x
genhostid
6.94
KB
-rwxr-xr-x
genl
52.81
KB
-rwxr-xr-x
genl-ctrl-list
11.27
KB
-rwxr-xr-x
genrandom
11.16
KB
-rwxr-xr-x
getcap
11.13
KB
-rwxr-xr-x
getenforce
7.01
KB
-rwxr-xr-x
getpcaps
7.07
KB
-rwxr-xr-x
getsebool
11.13
KB
-rwxr-xr-x
glibc_post_upgrade.i686
700.2
KB
-rwx------
glibc_post_upgrade.x86_64
772.05
KB
-rwx------
gluster
465.84
KB
-rwxr-xr-x
glusterfs
245.27
KB
-rwxr-xr-x
glusterfsd
245.27
KB
-rwxr-xr-x
groupadd
85.65
KB
-rwxr-xr-x
groupdel
77.38
KB
-rwxr-xr-x
groupmems
55.97
KB
-rwxr-xr-x
groupmod
85.66
KB
-rwxr-xr-x
grpck
59.93
KB
-rwxr-xr-x
grpconv
51.73
KB
-rwxr-xr-x
grpunconv
51.73
KB
-rwxr-xr-x
grub2-bios-setup
1.03
MB
-rwxr-xr-x
grub2-get-kernel-settings
2.08
KB
-rwxr-xr-x
grub2-install
1.29
MB
-rwxr-xr-x
grub2-macbless
1.02
MB
-rwxr-xr-x
grub2-mkconfig
7.63
KB
-rwxr-xr-x
grub2-ofpathname
225.52
KB
-rwxr-xr-x
grub2-probe
1.03
MB
-rwxr-xr-x
grub2-reboot
4
KB
-rwxr-xr-x
grub2-rpm-sort
258.52
KB
-rwxr-xr-x
grub2-set-default
3.46
KB
-rwxr-xr-x
grub2-setpassword
2.96
KB
-rwxr-xr-x
grub2-sparc64-setup
1.04
MB
-rwxr-xr-x
grubby
71.27
KB
-rwxr-xr-x
gss-server
23.13
KB
-rwxr-xr-x
gssproxy
130.64
KB
-rwxr-xr-x
halt
704.8
KB
-rwxr-xr-x
handle-sshpw
2.35
KB
-rwxr-xr-x
hardlink
15.29
KB
-rwxr-xr-x
htcacheclean
31.16
KB
-rwxr-xr-x
httpd
680.23
KB
-rwxr-xr-x
hwclock
48.44
KB
-rwxr-xr-x
hypervfcopyd
11.18
KB
-rwxr-xr-x
hypervkvpd
27.38
KB
-rwxr-xr-x
hypervvssd
15.23
KB
-rwxr-xr-x
iconvconfig
22.15
KB
-rwxr-xr-x
iconvconfig.i686
21.44
KB
-rwxr-xr-x
iconvconfig.x86_64
22.15
KB
-rwxr-xr-x
ifcfg
2.99
KB
-rwxr-xr-x
ifconfig
80.05
KB
-rwxr-xr-x
ifdown
1.61
KB
-rwxr-xr-x
ifenslave
19.74
KB
-rwxr-xr-x
ifstat
40.6
KB
-rwxr-xr-x
ifup
4.89
KB
-rwxr-xr-x
in.proftpd
1.63
MB
-rwxr-xr-x
init
1.56
MB
-rwxr-xr-x
insmod
143.24
KB
-rwxr-xr-x
install-info
110.42
KB
-rwxr-xr-x
installkernel
2.69
KB
-rwxr-xr-x
intel-microcode2ucode
11.1
KB
-rwxr-xr-x
ip
459.59
KB
-rwxr-xr-x
ip6tables
91.52
KB
-rwxr-xr-x
ip6tables-restore
91.52
KB
-rwxr-xr-x
ip6tables-save
91.52
KB
-rwxr-xr-x
ipa-certupdate
871
B
-rwxr-xr-x
ipa-client-automount
19.12
KB
-rwxr-xr-x
ipa-client-install
921
B
-rwxr-xr-x
ipa-getkeytab
128.14
KB
-rwxr-xr-x
ipa-join
31.09
KB
-rwxr-xr-x
ipa-rmkeytab
15.01
KB
-rwxr-xr-x
ipmaddr
19.33
KB
-rwxr-xr-x
iprconfig
394.37
KB
-rwxr-xr-x
iprdbg
135.94
KB
-rwx------
iprdump
123.67
KB
-rwxr-xr-x
iprinit
123.64
KB
-rwxr-xr-x
iprsos
2.18
KB
-rwxr-xr-x
iprupdate
123.64
KB
-rwxr-xr-x
ipsec
14.96
KB
-rwxr-xr-x
ipset
7.02
KB
-rwxr-xr-x
iptables
91.52
KB
-rwxr-xr-x
iptables-restore
91.52
KB
-rwxr-xr-x
iptables-save
91.52
KB
-rwxr-xr-x
iptunnel
23.33
KB
-rwxr-xr-x
irqbalance
48.5
KB
-rwxr-xr-x
isc-hmac-fixup
11.2
KB
-rwxr-xr-x
iscsi-iname
11.01
KB
-rwxr-xr-x
iscsiadm
794.39
KB
-rwxr-xr-x
iscsid
819.81
KB
-rwxr-xr-x
iscsistart
361.05
KB
-rwxr-xr-x
iscsiuio
182.09
KB
-rwxr-xr-x
iw
157.97
KB
-rwxr-xr-x
kexec
166.06
KB
-rwxr-xr-x
key.dns_resolver
19.45
KB
-rwxr-xr-x
killall5
23.17
KB
-rwxr-xr-x
kpartx
39.47
KB
-rwxr-xr-x
kpatch
14.53
KB
-rwxr-xr-x
ksmtuned
3.36
KB
-rwxr-xr-x
lchage
15.41
KB
-rwxr-xr-x
ldattach
27.93
KB
-rwxr-xr-x
ldconfig
952.08
KB
-rwxr-xr-x
ledctl
61.97
KB
-rwxr-xr-x
ledmon
62.15
KB
-rwxr-xr-x
lgroupadd
11.28
KB
-rwxr-xr-x
lgroupdel
11.26
KB
-rwxr-xr-x
lgroupmod
15.44
KB
-rwxr-xr-x
libvirtd
506.11
KB
-rwxr-xr-x
lid
15.4
KB
-rwxr-xr-x
liveinst
5.83
KB
-rwxr-xr-x
lldpad
402.72
KB
-rwxr-xr-x
lldptool
96.02
KB
-rwxr-xr-x
lnewusers
15.46
KB
-rwxr-xr-x
lnstat
20.09
KB
-rwxr-xr-x
load_policy
10.97
KB
-rwxr-xr-x
lockdev
10.95
KB
-rwx--s--x
logrotate
68.61
KB
-rwxr-xr-x
logsave
11.27
KB
-rwxr-xr-x
losetup
82.45
KB
-rwxr-xr-x
lpadmin
27.09
KB
-rwxr-xr-x
lpasswd
15.5
KB
-rwxr-xr-x
lpc
15.07
KB
-rwxr-xr-x
lpc.cups
15.07
KB
-rwxr-xr-x
lpinfo
14.96
KB
-rwxr-xr-x
lpmove
10.98
KB
-rwxr-xr-x
lshw
895.18
KB
-rwxr-xr-x
lsmod
143.24
KB
-rwxr-xr-x
lsof
150.57
KB
-rwxr-xr-x
lspci
73.67
KB
-rwxr-xr-x
luseradd
15.38
KB
-rwxr-xr-x
luserdel
11.3
KB
-rwxr-xr-x
lusermod
19.43
KB
-rwxr-xr-x
lvchange
2.15
MB
-r-xr-xr-x
lvconvert
2.15
MB
-r-xr-xr-x
lvcreate
2.15
MB
-r-xr-xr-x
lvdisplay
2.15
MB
-r-xr-xr-x
lvextend
2.15
MB
-r-xr-xr-x
lvm
2.15
MB
-r-xr-xr-x
lvmconf
12.55
KB
-r-xr-xr-x
lvmconfig
2.15
MB
-r-xr-xr-x
lvmdiskscan
2.15
MB
-r-xr-xr-x
lvmdump
10.07
KB
-r-xr-xr-x
lvmetad
71.66
KB
-r-xr-xr-x
lvmpolld
64.07
KB
-r-xr-xr-x
lvmsadc
2.15
MB
-r-xr-xr-x
lvmsar
2.15
MB
-r-xr-xr-x
lvreduce
2.15
MB
-r-xr-xr-x
lvremove
2.15
MB
-r-xr-xr-x
lvrename
2.15
MB
-r-xr-xr-x
lvresize
2.15
MB
-r-xr-xr-x
lvs
2.15
MB
-r-xr-xr-x
lvscan
2.15
MB
-r-xr-xr-x
lwresd
768.02
KB
-rwxr-xr-x
makedumpfile
376.52
KB
-rwxr-xr-x
matchpathcon
11.19
KB
-rwxr-xr-x
mdadm
593.45
KB
-rwxr-xr-x
mdmon
331.55
KB
-rwxr-xr-x
mii-diag
20.08
KB
-rwxr-xr-x
mii-tool
19.51
KB
-rwxr-xr-x
mkdict
246
B
-rwxr-xr-x
mkdosfs
28.05
KB
-rwxr-xr-x
mkdumprd
13.99
KB
-rwxr-xr-x
mke2fs
94.08
KB
-rwxr-xr-x
mkfs
11.25
KB
-rwxr-xr-x
mkfs.btrfs
366.45
KB
-rwxr-xr-x
mkfs.cramfs
36.16
KB
-rwxr-xr-x
mkfs.ext2
94.08
KB
-rwxr-xr-x
mkfs.ext3
94.08
KB
-rwxr-xr-x
mkfs.ext4
94.08
KB
-rwxr-xr-x
mkfs.fat
28.05
KB
-rwxr-xr-x
mkfs.minix
36.27
KB
-rwxr-xr-x
mkfs.msdos
28.05
KB
-rwxr-xr-x
mkfs.vfat
28.05
KB
-rwxr-xr-x
mkfs.xfs
359.8
KB
-rwxr-xr-x
mkhomedir_helper
19.05
KB
-rwxr-xr-x
mklost+found
11.11
KB
-rwxr-xr-x
mkswap
69.64
KB
-rwxr-xr-x
modinfo
143.24
KB
-rwxr-xr-x
modprobe
143.24
KB
-rwxr-xr-x
modsec-sdbm-util
22.17
KB
-rwxr-x---
mount.cifs
40.05
KB
-rwxr-xr-x
mount.fuse
11.1
KB
-rwxr-xr-x
mount.glusterfs
22.15
KB
-rwxr-xr-x
mount.nfs
114.68
KB
-rwsr-xr-x
mount.nfs4
114.68
KB
-rwsr-xr-x
mountstats
40.59
KB
-rwxr-xr-x
mpathconf
10.6
KB
-rwxr-xr-x
mpathpersist
27.91
KB
-rwxr-xr-x
mtr
83.18
KB
-rwxr-xr-x
multipath
22.99
KB
-rwxr-xr-x
multipathd
84.37
KB
-rwxr-xr-x
mysqld
242.32
MB
-rwxr-xr-x
mysqld-debug
163.78
MB
-rwxr-xr-x
named
768.02
KB
-rwxr-xr-x
named-checkconf
32.25
KB
-rwxr-xr-x
named-checkzone
32.06
KB
-rwxr-xr-x
named-compilezone
32.06
KB
-rwxr-xr-x
named-journalprint
11.13
KB
-rwxr-xr-x
nameif
15.32
KB
-rwxr-xr-x
netreport
10.96
KB
-rwxr-sr-x
netscsid
19.55
KB
-rwxr-xr-x
new-kernel-pkg
24.96
KB
-rwxr-xr-x
newusers
93.45
KB
-rwxr-xr-x
nfsdcltrack
40.11
KB
-rwxr-xr-x
nfsidmap
19.32
KB
-rwxr-xr-x
nfsiostat
23.64
KB
-rwxr-xr-x
nfsstat
29.84
KB
-rwxr-xr-x
nl-class-add
11.7
KB
-rwxr-xr-x
nl-class-delete
11.55
KB
-rwxr-xr-x
nl-class-list
11.48
KB
-rwxr-xr-x
nl-classid-lookup
11.29
KB
-rwxr-xr-x
nl-cls-add
11.76
KB
-rwxr-xr-x
nl-cls-delete
11.68
KB
-rwxr-xr-x
nl-cls-list
11.58
KB
-rwxr-xr-x
nl-link-list
11.52
KB
-rwxr-xr-x
nl-pktloc-lookup
11.36
KB
-rwxr-xr-x
nl-qdisc-add
11.6
KB
-rwxr-xr-x
nl-qdisc-delete
11.54
KB
-rwxr-xr-x
nl-qdisc-list
11.63
KB
-rwxr-xr-x
nologin
7.01
KB
-rwxr-xr-x
nscd
179.8
KB
-rwxr-xr-x
nsec3hash
11.13
KB
-rwxr-xr-x
nstat
23.88
KB
-rwxr-xr-x
ntp-keygen
100.88
KB
-rwxr-xr-x
ntpd
712.59
KB
-rwxr-xr-x
ntpdate
107.58
KB
-rwxr-xr-x
ntpdc
170.02
KB
-rwxr-xr-x
ntpq
164.36
KB
-rwxr-xr-x
ntptime
73.66
KB
-rwxr-xr-x
ntsysv
36.24
KB
-rwxr-xr-x
oddjobd
72.11
KB
-rwxr-xr-x
osd_login
2.55
KB
-rwxr-xr-x
ownership
15.04
KB
-rwxr-xr-x
packer
11.06
KB
-rwxr-xr-x
pam_console_apply
39.69
KB
-rwxr-xr-x
pam_tally2
15.05
KB
-rwxr-xr-x
pam_timestamp_check
10.97
KB
-rwxr-xr-x
paperconfig
4.07
KB
-rwxr-xr-x
parted
77.22
KB
-rwxr-xr-x
partprobe
11.23
KB
-rwxr-xr-x
partx
86.55
KB
-rwxr-xr-x
pdata_tools
1.23
MB
-rwxr-xr-x
pdns_server
74.75
MB
-rwxr-xr-x
pethtool
8.94
KB
-rwxr-xr-x
pidof
23.17
KB
-rwxr-xr-x
pifconfig
3.03
KB
-rwxr-xr-x
ping6
64.63
KB
-rwxr-xr-x
pivot_root
11.19
KB
-rwxr-xr-x
plipconfig
11.06
KB
-rwxr-xr-x
pluginviewer
15.23
KB
-rwxr-xr-x
plymouth-set-default-theme
6.21
KB
-rwxr-xr-x
plymouthd
84.22
KB
-rwxr-xr-x
pm-hibernate
2.86
KB
-rwxr-xr-x
pm-powersave
2.09
KB
-rwxr-xr-x
pm-suspend
2.86
KB
-rwxr-xr-x
pm-suspend-hybrid
2.86
KB
-rwxr-xr-x
pm-utils-bugreport-info.sh
1.47
KB
-rwxr-xr-x
poweroff
704.8
KB
-rwxr-xr-x
ppp-watch
23.2
KB
-rwxr-xr-x
pppd
372.98
KB
-r-xr-xr-x
pppdump
52.77
KB
-rwxr-xr-x
pppoe-discovery
18.04
KB
-r-xr-xr-x
pppstats
14.99
KB
-rwxr-xr-x
proftpd
1.63
MB
-rwxr-xr-x
pvchange
2.15
MB
-r-xr-xr-x
pvck
2.15
MB
-r-xr-xr-x
pvcreate
2.15
MB
-r-xr-xr-x
pvdisplay
2.15
MB
-r-xr-xr-x
pvmove
2.15
MB
-r-xr-xr-x
pvremove
2.15
MB
-r-xr-xr-x
pvresize
2.15
MB
-r-xr-xr-x
pvs
2.15
MB
-r-xr-xr-x
pvscan
2.15
MB
-r-xr-xr-x
pwck
51.71
KB
-rwxr-xr-x
pwconv
47.57
KB
-rwxr-xr-x
pwhistory_helper
15.44
KB
-rwxr-xr-x
pwunconv
47.59
KB
-rwxr-xr-x
quot
70.66
KB
-rwxr-xr-x
quotacheck
107.29
KB
-rwxr-xr-x
quotaoff
75.03
KB
-rwxr-xr-x
quotaon
75.03
KB
-rwxr-xr-x
quotastats
14.03
KB
-rwxr-xr-x
radvd
101.59
KB
-rwxr-xr-x
radvdump
23.64
KB
-rwxr-xr-x
raid-check
3.7
KB
-rwxr-xr-x
rdisc
23.17
KB
-rwxr-xr-x
rdma
73.42
KB
-rwxr-xr-x
rdma-ndd
15.36
KB
-rwxr-xr-x
readprofile
15.46
KB
-rwxr-xr-x
realm
138.77
KB
-rwxr-xr-x
reboot
704.8
KB
-rwxr-xr-x
regdbdump
7.12
KB
-rwxr-xr-x
reject
10.95
KB
-rwxr-xr-x
repquota
75.16
KB
-rwxr-xr-x
request-key
19.41
KB
-rwxr-xr-x
resize2fs
48.41
KB
-rwxr-xr-x
resizepart
32.36
KB
-rwxr-xr-x
restorecon
27.16
KB
-rwxr-xr-x
rfkill
11.29
KB
-rwxr-xr-x
rmmod
143.24
KB
-rwxr-xr-x
rndc
35.88
KB
-rwxr-xr-x
rndc-confgen
19.44
KB
-rwxr-xr-x
rngd
42.39
KB
-rwxr-xr-x
rotatelogs
23.06
KB
-rwxr-xr-x
route
66.6
KB
-rwxr-xr-x
routef
173
B
-rwxr-xr-x
routel
1.59
KB
-rwxr-xr-x
rpc.gssd
88.73
KB
-rwxr-xr-x
rpc.idmapd
48.13
KB
-rwxr-xr-x
rpc.mountd
128.91
KB
-rwxr-xr-x
rpc.nfsd
40.2
KB
-rwxr-xr-x
rpc.rquotad
78.95
KB
-rwxr-xr-x
rpc.statd
97.59
KB
-rwxr-xr-x
rpcbind
60.07
KB
-rwxr-xr-x
rpcdebug
18.05
KB
-rwxr-xr-x
rpcinfo
27.3
KB
-rwxr-xr-x
rsyslogd
648.45
KB
-rwxr-xr-x
rtacct
41.93
KB
-rwxr-xr-x
rtcwake
31.96
KB
-rwxr-xr-x
rtkitctl
10.88
KB
-rwxr-xr-x
rtmon
48.67
KB
-rwxr-xr-x
rtpr
37
B
-rwxr-xr-x
rtstat
20.09
KB
-rwxr-xr-x
runlevel
704.8
KB
-rwxr-xr-x
runq
1.33
MB
-rwsr-xr-x
runuser
32.21
KB
-rwxr-xr-x
sa
36.77
KB
-rwxr-xr-x
safe_finger
11.08
KB
-rwxr-xr-x
saned
47.41
KB
-rwxr-xr-x
saslauthd
92.59
KB
-rwxr-xr-x
sasldblistusers2
19.26
KB
-rwxr-xr-x
saslpasswd2
15.09
KB
-rwxr-xr-x
sedispatch
15.56
KB
-rwxr-xr-x
sefcontext_compile
60.53
KB
-rwxr-xr-x
selabel_digest
11.17
KB
-rwxr-xr-x
selabel_lookup
11.14
KB
-rwxr-xr-x
selabel_lookup_best_match
11.16
KB
-rwxr-xr-x
selabel_partial_match
11.09
KB
-rwxr-xr-x
selinux_restorecon
15.21
KB
-rwxr-xr-x
selinuxconlist
11.1
KB
-rwxr-xr-x
selinuxdefcon
11.12
KB
-rwxr-xr-x
selinuxenabled
6.98
KB
-rwxr-xr-x
selinuxexeccon
7.09
KB
-rwxr-xr-x
semanage
42.76
KB
-rwxr-xr-x
semodule
23.77
KB
-rwxr-xr-x
sendmail
13.64
KB
-rwxr-sr-x
service
3.17
KB
-rwxr-xr-x
sestatus
15.02
KB
-rwxr-xr-x
setcap
11.13
KB
-rwxr-xr-x
setenforce
7.05
KB
-rwxr-xr-x
setfiles
27.16
KB
-rwxr-xr-x
setpci
23.4
KB
-rwxr-xr-x
setquota
83.16
KB
-rwxr-xr-x
setregdomain
1.7
KB
-rwxr-xr-x
setroubleshootd
3.22
KB
-rwxr-xr-x
setsebool
14.99
KB
-rwxr-xr-x
setup
15.38
KB
-rwxr-xr-x
sfdisk
83.25
KB
-rwxr-xr-x
sgdisk
168.33
KB
-rwxr-xr-x
sgpio
15.63
KB
-rwxr-xr-x
showmount
19.56
KB
-rwxr-xr-x
shutdown
704.8
KB
-rwxr-xr-x
sim_server
10.97
KB
-rwxr-xr-x
skdump
15.2
KB
-rwxr-xr-x
sktest
6.98
KB
-rwxr-xr-x
slattach
42.4
KB
-rwxr-xr-x
sln
743.78
KB
-rwxr-xr-x
sm-notify
68.43
KB
-rwxr-xr-x
smartctl
864.48
KB
-rwxr-xr-x
smartd
670.63
KB
-rwxr-xr-x
sosreport
561
B
-rwxr-xr-x
spice-vdagentd
43.73
KB
-rwxr-xr-x
ss
128.44
KB
-rwxr-xr-x
sshd
832.9
KB
-rwxr-xr-x
sshd-keygen
3.53
KB
-rwxr-xr-x
sss_cache
80.02
KB
-rwxr-xr-x
sssd
84.18
KB
-rwxr-xr-x
start-statd
842
B
-rwxr-xr-x
suexec
19.02
KB
-rwsr-xr-x
sulogin
40.53
KB
-rwxr-xr-x
sushell
67
B
-rwxr-xr-x
sw-engine-fpm
22.35
MB
-rwxr-xr-x
swaplabel
15.31
KB
-rwxr-xr-x
swapoff
15.53
KB
-rwxr-xr-x
swapon
53.29
KB
-rwxr-xr-x
switch_root
15.35
KB
-rwxr-xr-x
sys-unconfig
184
B
-rwxr-xr-x
sysctl
23.57
KB
-rwxr-xr-x
t1libconfig
3.83
KB
-rwxr-xr-x
tc
384.66
KB
-rwxr-xr-x
tcpd
36.62
KB
-rwxr-xr-x
tcpdmatch
40.83
KB
-rwxr-xr-x
tcpdump
920.16
KB
-rwxr-xr-x
tcpslice
23.64
KB
-rwxr-xr-x
tcsd
300.27
KB
-rwxr-xr-x
telinit
704.8
KB
-rwxr-xr-x
testsaslauthd
15.09
KB
-rwxr-xr-x
thin_check
1.23
MB
-rwxr-xr-x
thin_delta
1.23
MB
-rwxr-xr-x
thin_dump
1.23
MB
-rwxr-xr-x
thin_ls
1.23
MB
-rwxr-xr-x
thin_metadata_size
1.23
MB
-rwxr-xr-x
thin_repair
1.23
MB
-rwxr-xr-x
thin_restore
1.23
MB
-rwxr-xr-x
thin_rmap
1.23
MB
-rwxr-xr-x
thin_trim
1.23
MB
-rwxr-xr-x
tickadj
6.95
KB
-rwxr-xr-x
tracepath
15.05
KB
-rwxr-xr-x
tracepath6
15.05
KB
-rwxr-xr-x
try-from
23.47
KB
-rwxr-xr-x
tsig-keygen
19.44
KB
-rwxr-xr-x
tune2fs
69.41
KB
-rwxr-xr-x
tuned
3.29
KB
-rwxr-xr-x
tuned-adm
5.22
KB
-rwxr-xr-x
udevadm
414.27
KB
-rwxr-xr-x
umount.nfs
114.68
KB
-rwsr-xr-x
umount.nfs4
114.68
KB
-rwsr-xr-x
umount.udisks2
10.98
KB
-rwxr-xr-x
unbound-anchor
55.62
KB
-rwxr-xr-x
unix_chkpwd
35.42
KB
-rwxr-xr-x
unix_update
35.42
KB
-rwx------
update-alternatives
27.61
KB
-rwxr-xr-x
update-pciids
1.71
KB
-rwxr-xr-x
update-smart-drivedb
14.34
KB
-rwxr-xr-x
usb_modeswitch
57.61
KB
-rwxr-xr-x
usb_modeswitch_dispatcher
236.66
KB
-rwxr-xr-x
usbmuxd
69.72
KB
-rwxr-xr-x
useradd
134.39
KB
-rwxr-xr-x
userdel
93.5
KB
-rwxr-xr-x
userhelper
39.38
KB
-rws--x--x
usermod
130.33
KB
-rwxr-xr-x
usernetctl
11.03
KB
-rwsr-xr-x
uuserver
14.97
KB
-rwxr-xr-x
vdptool
48.96
KB
-rwxr-xr-x
vgcfgbackup
2.15
MB
-r-xr-xr-x
vgcfgrestore
2.15
MB
-r-xr-xr-x
vgchange
2.15
MB
-r-xr-xr-x
vgck
2.15
MB
-r-xr-xr-x
vgconvert
2.15
MB
-r-xr-xr-x
vgcreate
2.15
MB
-r-xr-xr-x
vgdisplay
2.15
MB
-r-xr-xr-x
vgexport
2.15
MB
-r-xr-xr-x
vgextend
2.15
MB
-r-xr-xr-x
vgimport
2.15
MB
-r-xr-xr-x
vgimportclone
2.15
MB
-r-xr-xr-x
vgmerge
2.15
MB
-r-xr-xr-x
vgmknodes
2.15
MB
-r-xr-xr-x
vgreduce
2.15
MB
-r-xr-xr-x
vgremove
2.15
MB
-r-xr-xr-x
vgrename
2.15
MB
-r-xr-xr-x
vgs
2.15
MB
-r-xr-xr-x
vgscan
2.15
MB
-r-xr-xr-x
vgsplit
2.15
MB
-r-xr-xr-x
vigr
62.54
KB
-rwxr-xr-x
vipw
62.54
KB
-rwxr-xr-x
virt-what
11.57
KB
-rwxr-xr-x
virtlockd
723.38
KB
-rwxr-xr-x
virtlogd
719.13
KB
-rwxr-xr-x
visudo
200.91
KB
-rwxr-xr-x
vmcore-dmesg
19.28
KB
-rwxr-xr-x
vpddecode
15.33
KB
-rwxr-xr-x
weak-modules
31.9
KB
-rwxr-xr-x
whmapi0
3.02
MB
-rwxr-xr-x
whmapi1
3.02
MB
-rwxr-xr-x
whmlogin
2.33
KB
-rwxr-xr-x
wipefs
28.05
KB
-rwxr-xr-x
wpa_cli
128.06
KB
-rwxr-xr-x
wpa_passphrase
56.79
KB
-rwxr-xr-x
wpa_supplicant
1.93
MB
-rwxr-xr-x
xfs_admin
1.35
KB
-rwxr-xr-x
xfs_bmap
638
B
-rwxr-xr-x
xfs_copy
339.33
KB
-rwxr-xr-x
xfs_db
576.38
KB
-rwxr-xr-x
xfs_estimate
11.16
KB
-rwxr-xr-x
xfs_freeze
767
B
-rwxr-xr-x
xfs_fsr
31.83
KB
-rwxr-xr-x
xfs_growfs
327.2
KB
-rwxr-xr-x
xfs_info
472
B
-rwxr-xr-x
xfs_io
122.68
KB
-rwxr-xr-x
xfs_logprint
355.81
KB
-rwxr-xr-x
xfs_mdrestore
314.81
KB
-rwxr-xr-x
xfs_metadump
747
B
-rwxr-xr-x
xfs_mkfile
1007
B
-rwxr-xr-x
xfs_ncheck
650
B
-rwxr-xr-x
xfs_quota
84.88
KB
-rwxr-xr-x
xfs_repair
563.2
KB
-rwxr-xr-x
xfs_rtcp
15.25
KB
-rwxr-xr-x
xfsdump
291.68
KB
-rwxr-xr-x
xfsinvutil
61.87
KB
-rwxr-xr-x
xfsrestore
353.19
KB
-rwxr-xr-x
xqmstats
14.03
KB
-rwxr-xr-x
xtables-multi
91.52
KB
-rwxr-xr-x
yum-complete-transaction
9.22
KB
-rwxr-xr-x
yumdb
8.67
KB
-rwxr-xr-x
zdump
14.02
KB
-rwxr-xr-x
zic
50.02
KB
-rwxr-xr-x
zramctl
82.23
KB
-rwxr-xr-x
Delete
Unzip
Zip
${this.title}
Close
Code Editor : mount.glusterfs
#!/bin/sh # # Copyright (c) 2013 Red Hat, Inc. <http://www.redhat.com> # Copyright (c) 2015 ungleich GmbH <http://www.ungleich.ch> # # This file is part of GlusterFS. # # This file is licensed to you under your choice of the GNU Lesser # General Public License, version 3 or any later version (LGPLv3 or # later), or the GNU General Public License, version 2 (GPLv2), in all # cases as published by the Free Software Foundation. warn () { echo "$@" >&2 } _init () { # log level definitions LOG_NONE=NONE; LOG_CRITICAL=CRITICAL; LOG_ERROR=ERROR; LOG_WARNING=WARNING; LOG_INFO=INFO LOG_DEBUG=DEBUG; LOG_TRACE=TRACE; HOST_NAME_MAX=64; prefix="/usr"; exec_prefix=/usr; cmd_line=$(echo "/usr/sbin/glusterfs"); # check whether getfattr exists export PATH getfattr=$(command -v getfattr 2>/dev/null) if [ $? -ne 0 ]; then warn "WARNING: getfattr not found, certain checks will be skipped.." fi mounttab=/proc/mounts uname_s=`uname -s` case ${uname_s} in NetBSD) getinode="stat -f %i" getdev="stat -f %d" lgetinode="${getinode} -L" lgetdev="${getdev} -L" ;; Linux) getinode="stat -c %i" getdev="stat -c %d" lgetinode="${getinode} -L" lgetdev="${getdev} -L" ;; esac UPDATEDBCONF=/etc/updatedb.conf } is_valid_hostname () { local server=$1 length=$(echo $server | wc -c) if [ ${length} -gt ${HOST_NAME_MAX} ]; then return 1 fi } parse_backup_volfile_servers () { local server_list=$1 local servers="" local new_servers="" servers=$(echo ${server_list} | sed 's/\:/ /g') for server in ${servers}; do is_valid_hostname ${server} if [ $? -eq 1 ]; then continue fi new_servers=$(echo "${new_servers} ${server}") done echo ${new_servers} } parse_volfile_servers () { local server_list=$1 local servers="" local new_servers="" servers=$(echo ${server_list} | sed 's/,/ /g') for server in ${servers}; do is_valid_hostname ${server} if [ $? -eq 1 ]; then continue fi new_servers=$(echo "${new_servers} ${server}") done echo ${new_servers} } start_glusterfs () { if [ -n "$log_level_str" ]; then case "$( echo $log_level_str | awk '{print toupper($0)}')" in "ERROR") log_level=$LOG_ERROR; ;; "INFO") log_level=$LOG_INFO; ;; "DEBUG") log_level=$LOG_DEBUG; ;; "CRITICAL") log_level=$LOG_CRITICAL; ;; "WARNING") log_level=$LOG_WARNING; ;; "TRACE") log_level=$LOG_TRACE; ;; "NONE") log_level=$LOG_NONE; ;; *) warn "invalid log level $log_level_str, using INFO"; log_level=$LOG_INFO; ;; esac fi # options without values start here if [ -n "$read_only" ]; then cmd_line=$(echo "$cmd_line --read-only"); fi if [ -n "$acl" ]; then cmd_line=$(echo "$cmd_line --acl"); fi if [ -n "$selinux" ]; then cmd_line=$(echo "$cmd_line --selinux"); fi if [ -n "$enable_ino32" ]; then cmd_line=$(echo "$cmd_line --enable-ino32"); fi if [ -n "$worm" ]; then cmd_line=$(echo "$cmd_line --worm"); fi if [ -n "$volfile_max_fetch_attempts" ]; then cmd_line=$(echo "$cmd_line --volfile-max-fetch-attempts=$volfile_max_fetch_attempts") fi if [ -n "$fopen_keep_cache" ]; then cmd_line=$(echo "$cmd_line --fopen-keep-cache"); fi if [ -n "$volfile_check" ]; then cmd_line=$(echo "$cmd_line --volfile-check"); fi if [ -n "$mem_accounting" ]; then cmd_line=$(echo "$cmd_line --mem-accounting"); fi if [ -n "$aux_gfid_mount" ]; then cmd_line=$(echo "$cmd_line --aux-gfid-mount"); fi if [ -n "$resolve_gids" ]; then cmd_line=$(echo "$cmd_line --resolve-gids"); fi if [ -n "$no_root_squash" ]; then cmd_line=$(echo "$cmd_line --no-root-squash"); fi if [ -n "$thin_client" ]; then cmd_line=$(echo "$cmd_line --thin-client"); fi #options with values start here if [ -n "$halo_max_latency" ]; then cmd_line=$(echo "$cmd_line --xlator-option \ *replicate*.halo-max-latency=$halo_max_latency"); fi if [ -n "$halo_max_replicas" ]; then cmd_line=$(echo "$cmd_line --xlator-option \ *replicate*.halo-max-replicas=$halo_max_replicas"); fi if [ -n "$halo_min_replicas" ]; then cmd_line=$(echo "$cmd_line --xlator-option \ *replicate*.halo-min-replicas=$halo_min_replicas"); fi if [ -n "$log_level" ]; then cmd_line=$(echo "$cmd_line --log-level=$log_level"); fi if [ -n "$log_file" ]; then cmd_line=$(echo "$cmd_line --log-file=$log_file"); fi if [ -n "$direct_io_mode" ]; then cmd_line=$(echo "$cmd_line --direct-io-mode=$direct_io_mode"); fi if [ -n "$use_readdirp" ]; then cmd_line=$(echo "$cmd_line --use-readdirp=$use_readdirp"); fi if [ -n "$event_history" ]; then cmd_line=$(echo "$cmd_line --event-history=$event_history"); fi if [ -n "$reader_thread_count" ]; then cmd_line=$(echo "$cmd_line --reader-thread-count=$reader_thread_count"); fi if [ -n "$fuse_auto_invalidation" ]; then cmd_line=$(echo "$cmd_line --auto-invalidation=$fuse_auto_invalidation"); fi if [ -n "$volume_name" ]; then cmd_line=$(echo "$cmd_line --volume-name=$volume_name"); fi if [ -n "$attribute_timeout" ]; then cmd_line=$(echo "$cmd_line --attribute-timeout=$attribute_timeout"); fi if [ -n "$entry_timeout" ]; then cmd_line=$(echo "$cmd_line --entry-timeout=$entry_timeout"); fi if [ -n "$negative_timeout" ]; then cmd_line=$(echo "$cmd_line --negative-timeout=$negative_timeout"); fi if [ -n "$gid_timeout" ]; then cmd_line=$(echo "$cmd_line --gid-timeout=$gid_timeout"); fi if [ -n "$lru_limit" ]; then cmd_line=$(echo "$cmd_line --lru-limit=$lru_limit"); fi if [ -n "$invalidate_limit" ]; then cmd_line=$(echo "$cmd_line --invalidate-limit=$invalidate_limit"); fi if [ -n "$bg_qlen" ]; then cmd_line=$(echo "$cmd_line --background-qlen=$bg_qlen"); fi if [ -n "$cong_threshold" ]; then cmd_line=$(echo "$cmd_line --congestion-threshold=$cong_threshold"); fi if [ -n "$oom_score_adj" ]; then cmd_line=$(echo "$cmd_line --oom-score-adj=$oom_score_adj"); fi if [ -n "$fuse_mountopts" ]; then cmd_line=$(echo "$cmd_line --fuse-mountopts=$fuse_mountopts"); fi if [ -n "$xlator_option" ]; then cmd_line=$(echo "$cmd_line --xlator-option=$xlator_option"); fi if [ -n "$kernel_writeback_cache" ]; then cmd_line=$(echo "$cmd_line --kernel-writeback-cache=$kernel_writeback_cache"); fi if [ -n "$attr_times_granularity" ]; then cmd_line=$(echo "$cmd_line --attr-times-granularity=$attr_times_granularity"); fi if [ -n "$dump_fuse" ]; then cmd_line=$(echo "$cmd_line --dump-fuse=$dump_fuse"); fi if [ -n "$fuse_flush_handle_interrupt" ]; then cmd_line=$(echo "$cmd_line --fuse-flush-handle-interrupt=$fuse_flush_handle_interrupt"); fi if [ -n "$process_name" ]; then cmd_line=$(echo "$cmd_line --process-name fuse.$process_name"); else cmd_line=$(echo "$cmd_line --process-name fuse"); fi # if trasnport type is specified, we have to append it to # volume name, so that it fetches the right client vol file if [ -z "$volfile_loc" ]; then if [ -n "$server_ip" ]; then servers=$(parse_volfile_servers ${server_ip}); if [ -n "$servers" ]; then for i in $(echo ${servers}); do cmd_line=$(echo "$cmd_line --volfile-server=$i"); done else warn "ERROR: No valid servers found on command line.. exiting" print_usage exit 1 fi if [ -n "$backupvolfile_server" ]; then if [ -z "$backup_volfile_servers" ]; then is_valid_hostname ${backupvolfile_server}; if [ $? -eq 1 ]; then warn "ERROR: Invalid backup server specified.. exiting" exit 1 fi cmd_line=$(echo "$cmd_line --volfile-server=$backupvolfile_server"); fi fi if [ -n "$backup_volfile_servers" ]; then backup_servers=$(parse_backup_volfile_servers ${backup_volfile_servers}) for i in $(echo ${backup_servers}); do cmd_line=$(echo "$cmd_line --volfile-server=$i"); done fi if [ -n "$server_port" ]; then cmd_line=$(echo "$cmd_line --volfile-server-port=$server_port"); fi if [ -n "$volume_id" ]; then if [ -n "$transport" ]; then volume_id="$volume_id.$transport"; cmd_line=$(echo "$cmd_line --volfile-server-transport=$transport"); fi cmd_line=$(echo "$cmd_line --volfile-id=$volume_id"); fi fi else cmd_line=$(echo "$cmd_line --volfile=$volfile_loc"); fi if [ -n "$fuse_mountopts" ]; then cmd_line=$(echo "$cmd_line --fuse-mountopts=$fuse_mountopts"); fi if [ -n "$subdir_mount" ]; then cmd_line=$(echo "$cmd_line --subdir-mount=/$subdir_mount"); fi cmd_line=$(echo "$cmd_line $mount_point"); $cmd_line; if [ $? -ne 0 ]; then # If this is true, then glusterfs process returned error without # getting daemonized. We have made sure the logs are posted to # 'stderr', so no need to point them to logfile. warn "Mounting glusterfs on $mount_point failed." exit 1; fi inode=$( ${getinode} $mount_point 2>/dev/null); # this is required if the stat returns error if [ $? -ne 0 ]; then # At this time, glusterfs got daemonized, and then later exited. # These failures are only logged in log file. warn "Mount failed. Check the log file ${log_file} for more details." umount $mount_point > /dev/null 2>&1; exit 1; fi } print_usage () { cat << EOF Usage: $0 <server>:<volume/subdir> <mountpoint> -o<options> Options: man 8 $(basename $0) To display the version number of the mount helper: $0 -V EOF } # check for recursive mounts. i.e, mounting over an existing brick check_recursive_mount () { if [ $1 = "/" ]; then warn "Cannot mount over root"; exit 2; fi # GFID check first # remove trailing / from mount point mnt_dir=${1%/}; if [ -n "${getfattr}" ]; then ${getfattr} -n trusted.gfid $mnt_dir 2>/dev/null | grep -iq "trusted.gfid="; if [ $? -eq 0 ]; then warn "ERROR: $mnt_dir is in use as a brick of a gluster volume"; exit 2; fi fi # check if the mount point is a brick's parent directory GLUSTERD_WORKDIR="/var/lib/glusterd"; ls -L "${GLUSTERD_WORKDIR}"/vols/*/bricks/* > /dev/null 2>&1; if [ $? -ne 0 ]; then return; fi brick_path=`grep ^path "$GLUSTERD_WORKDIR"/vols/*/bricks/* 2>/dev/null | cut -d "=" -f 2`; root_inode=`${lgetinode} /`; root_dev=`${lgetdev} /`; mnt_inode=`${lgetinode} $mnt_dir`; mnt_dev=`${lgetdev} $mnt_dir`; for brick in "$brick_path"; do # evaluate brick path to see if this is local, if non-local, skip iteration ls $brick > /dev/null 2>&1; if [ $? -ne 0 ]; then continue; fi if [ -n "${getfattr}" ]; then ${getfattr} -n trusted.gfid "$brick" 2>/dev/null | grep -iq "trusted.gfid="; if [ $? -eq 0 ]; then # brick is local while [ 1 ]; do tmp_brick="$brick"; brick="$brick"/..; brick_dev=`${lgetdev} $brick`; brick_inode=`${lgetinode} $brick`; if [ "$mnt_inode" -eq "$brick_inode" \ -a "$mnt_dev" -eq "$brick_dev" ]; then warn "ERROR: ${mnt_dir} is a parent of the brick ${tmp_brick}"; exit 2; fi [ "$root_inode" -ne "$brick_inode" \ -o "$root_dev" -ne "$brick_dev" ] || break; done; else continue; fi else continue; fi done; } with_options() { local key=$1 local value=$2 # Handle options with values. case "$key" in "log-level") log_level_str=$value ;; "log-file") log_file=$value ;; "transport") transport=$value ;; "direct-io-mode") direct_io_mode=$value ;; "volume-name") volume_name=$value ;; "volume-id") volume_id=$value ;; "subdir-mount") subdir_mount=$value ;; "volfile-check") volfile_check=$value ;; "server-port") server_port=$value ;; "attribute-timeout") attribute_timeout=$value ;; "entry-timeout") entry_timeout=$value ;; "negative-timeout") negative_timeout=$value ;; "gid-timeout") gid_timeout=$value ;; "lru-limit") lru_limit=$value ;; "invalidate-limit") invalidate_limit=$value ;; "background-qlen") bg_qlen=$value ;; "backup-volfile-servers") backup_volfile_servers=$value ;; "backupvolfile-server") backupvolfile_server=$value ;; "fetch-attempts") volfile_max_fetch_attempts=$value ;; "congestion-threshold") cong_threshold=$value ;; "oom-score-adj") oom_score_adj=$value ;; "xlator-option") xlator_option=$value ;; "fuse-mountopts") fuse_mountopts=$value ;; "use-readdirp") use_readdirp=$value ;; "event-history") event_history=$value ;; "reader-thread-count") reader_thread_count=$value ;; "auto-invalidation") fuse_auto_invalidation=$value ;; "no-root-squash") if [ $value = "yes" ] || [ $value = "on" ] || [ $value = "enable" ] || [ $value = "true" ] ; then no_root_squash=1; fi ;; "root-squash") if [ $value = "no" ] || [ $value = "off" ] || [ $value = "disable" ] || [ $value = "false" ] ; then no_root_squash=1; fi ;; "kernel-writeback-cache") kernel_writeback_cache=$value ;; "attr-times-granularity") attr_times_granularity=$value ;; "dump-fuse") dump_fuse=$value ;; "fuse-flush-handle-interrupt") fuse_flush_handle_interrupt=$value ;; "context"|"fscontext"|"defcontext"|"rootcontext") # standard SElinux mount options to pass to the kernel [ -z "$fuse_mountopts" ] || fuse_mountopts="$fuse_mountopts," fuse_mountopts="${fuse_mountopts}$key=\"$value\"" ;; "halo-max-latency") halo_max_latency=$value ;; "halo-max-replicas") halo_max_replicas=$value ;; "halo-min-replicas") halo_min_replicas=$value ;; "process-name") process_name=$value ;; x-*) # comments or userspace application-specific options, drop them ;; *) warn "Invalid option: $key" exit 1 ;; esac } without_options() { local option=$1 # Handle options without values. case "$option" in "ro") read_only=1 ;; "acl") acl=1 ;; "selinux") selinux=1 ;; "worm") worm=1 ;; "fopen-keep-cache") fopen_keep_cache=1 ;; "enable-ino32") enable_ino32=1 ;; "mem-accounting") mem_accounting=1 ;; "aux-gfid-mount") if [ ${uname_s} = "Linux" ]; then aux_gfid_mount=1 fi ;; "thin-client") thin_client=1 ;; "resolve-gids") resolve_gids=1 ;; # "mount -t glusterfs" sends this, but it's useless. "rw") ;; # TODO: not sure how to handle this yet "async"|"sync"|"dirsync"|\ "mand"|"nomand"|\ "silent"|"loud"|\ "iversion"|"noiversion"|\ "nofail") warn "mount option '${option}' is not handled (yet?)" ;; # standard mount options to pass to the kernel "atime"|"noatime"|"diratime"|"nodiratime"|\ "relatime"|"norelatime"|\ "strictatime"|"nostrictatime"|"lazyatime"|"nolazyatime"|\ "dev"|"nodev"|"exec"|"noexec"|"suid"|"nosuid"|"auto_unmount") [ -z "$fuse_mountopts" ] || fuse_mountopts="$fuse_mountopts," fuse_mountopts="${fuse_mountopts}${option}" ;; # these ones are interpreted during system initialization "auto"|"noauto") ;; "_netdev") ;; x-*) # comments or userspace application-specific options, drop them ;; *) warn "Invalid option $option"; exit 1 ;; esac } parse_options() { local optarg=${1} for pair in $(echo ${optarg}|sed 's/,/ /g'); do key=$(echo "$pair" | cut -f1 -d'='); value=$(echo "$pair" | cut -f2- -d'='); if [ "$key" = "$value" ]; then without_options $pair; else with_options $key $value; fi done } update_updatedb() { # Append fuse.glusterfs to PRUNEFS variable in updatedb.conf(5). # updatedb(8) should not index files under GlusterFS, indexing # GlusterFS is not necessary and should be avoided. # Following code disables updatedb crawl on 'glusterfs' test -f $UPDATEDBCONF && { if ! grep -q 'glusterfs' $UPDATEDBCONF; then sed 's/\(PRUNEFS.*\)"/\1 fuse.glusterfs"/' $UPDATEDBCONF \ > ${UPDATEDBCONF}.bak mv -f ${UPDATEDBCONF}.bak $UPDATEDBCONF fi } } main () { if [ "x${uname_s}" = "xLinux" -a $# -ge 2 ] ; then volfile_loc=$1 mount_point=$2 ## `mount` specifies options as a last argument shift 2; fi while getopts "Vo:hns" opt; do case "${opt}" in o) parse_options ${OPTARG}; shift 2; ;; n) ;; s) # accept+ignore sloppy mount, passed by autofs ;; V) ${cmd_line} -V; exit 0; ;; h) print_usage; exit 0; ;; ?) print_usage; exit 0; ;; esac done if [ "x${uname_s}" = "xNetBSD" ] ; then volfile_loc=$1 mount_point=$2 fi [ -r "$volfile_loc" ] || { # '%' included to support ipv6 link local addresses server_ip=$(echo "$volfile_loc" | sed -n 's/\([a-zA-Z0-9:%.\-]*\):.*/\1/p'); volume_str=$(echo "$volfile_loc" | sed -n 's/.*:\([^ ]*\).*/\1/p'); [ -n "$volume_str" ] && { volume_id=$volume_str volume_str_temp=$volume_str first_char=$(echo "$volume_str" | cut -c 1) [ ${first_char} = '/' ] && { volume_str_temp=$(echo "$volume_str" | cut -c 2-) } volume_id_temp=$(echo "$volume_str_temp" | cut -f1 -d '/'); [ $(echo $volume_str_temp | grep -c "/") -eq 1 ] && [ "$volume_id_temp" != "snaps" ] && { volume_id=$volume_id_temp; subdir_mount=$(echo "$volume_str_temp" | cut -f2- -d '/'); } } volfile_loc=""; [ -z "$volume_id" -o -z "$server_ip" ] && { cat <<EOF >&2 ERROR: Server name/volume name unspecified cannot proceed further.. Please specify correct format Usage: man 8 $0 EOF exit 1; } } grep_ret=$(echo ${mount_point} | grep '^\-o'); [ "x" != "x${grep_ret}" ] && { cat <<EOF >&2 ERROR: -o options cannot be specified in either first two arguments.. Please specify correct style Usage: man 8 $0 EOF exit 1; } # No need to do a ! -d test, it is taken care while initializing the # variable mount_point [ -z "$mount_point" -o ! -d "$mount_point" ] && { cat <<EOF >&2 ERROR: Mount point does not exist Please specify a mount point Usage: man 8 $0 EOF exit 1; } # Simple check to avoid multiple identical mounts if grep -q "[[:space:]+]${mount_point}[[:space:]+]fuse.glusterfs" $mounttab; then warn "$0: according to mtab, GlusterFS is already mounted on" \ "$mount_point" exit 32; fi #Snapshot volumes are mounted read only case $volume_id in /snaps/* ) read_only=1 esac check_recursive_mount "$mount_point"; update_updatedb; start_glusterfs; } _init "$@" && main "$@";
Close